aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-07-02 23:09:08 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-07-02 23:09:08 +1200
commitfcb11d71d7d4dd7abf5af3e58106154ab2dd2212 (patch)
treec9544340f86c6b7c8d45c5d2b2db6473693779df /bin
parentMerge branch 'awk-cleanup' (diff)
downloaddotfiles-fcb11d71d7d4dd7abf5af3e58106154ab2dd2212.tar.gz
dotfiles-fcb11d71d7d4dd7abf5af3e58106154ab2dd2212.zip
Correct some rndi(1df) references
Diffstat (limited to 'bin')
-rw-r--r--bin/maybe.sh3
-rw-r--r--bin/mktd.sh2
-rw-r--r--bin/rnda.sh7
3 files changed, 4 insertions, 8 deletions
diff --git a/bin/maybe.sh b/bin/maybe.sh
index 6e5c8658..bda7bbc0 100644
--- a/bin/maybe.sh
+++ b/bin/maybe.sh
@@ -19,5 +19,4 @@ if [ "$((num >= 0 || den >= 1))" -ne 1 ] ; then
fi
# Perform the test; that's our exit value
-seed=$(rnds)
-test "$(rndi 1 "$den" "$seed")" -le "$num"
+test "$(rndi 1 "$den")" -le "$num"
diff --git a/bin/mktd.sh b/bin/mktd.sh
index 62b10396..f2a0275e 100644
--- a/bin/mktd.sh
+++ b/bin/mktd.sh
@@ -5,7 +5,7 @@ seed=$(rnds)
# Build the intended directory name, with the last element a random integer
# from 1..2^31
-dn=${TMPDIR:-/tmp}/${1:-mktd}.$$.$(rndi 1 2147483648 "$seed")
+dn=${TMPDIR:-/tmp}/${1:-mktd}.$$.$(rndi 1 2147483648)
# Create the directory and print its name if successful
mkdir -m 700 -- "$dn" && printf '%s\n' "$dn"
diff --git a/bin/rnda.sh b/bin/rnda.sh
index b09a8b6f..6a755305 100644
--- a/bin/rnda.sh
+++ b/bin/rnda.sh
@@ -6,11 +6,8 @@ if [ "$#" -eq 0 ] ; then
exit 2
fi
-# Get a random seed from rnds(1df); if it's empty, that's still workable
-seed=$(rnds)
-
-# Get a random integet from 1 to the number of arguments
-argi=$(rndi 1 "$#" "$seed") || exit
+# Get a random integer from 1 to the number of arguments
+argi=$(rndi 1 "$#") || exit
# Shift until that argument is the first argument
shift "$((argi-1))"